Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 189184 - Review Request: perl-Email-Valid - check validity of email addresses
Summary: Review Request: perl-Email-Valid - check validity of email addresses
Keywords:
Status: CLOSED DUPLICATE of bug 205884
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-04-18 01:12 UTC by Chris Wright
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-18 18:50:38 UTC


Attachments (Terms of Use)

Description Chris Wright 2006-04-18 01:12:28 UTC
Spec URL: http://kernel.org/pub/linux/kernel/people/chrisw/git/review/perl-Email-Valid.spec
SRPM URL: http://kernel.org/pub/linux/kernel/people/chrisw/git/review/perl-Email-Valid-0.15-1.src.rpm
Description: Perl module to check validity of Internet email addresses

This perl module is used by part of git which is currently not being built (due to this dependency).  Also, for license I marked it as Artistic, same as perl, since the module simply states:

  This module is free software; you may redistribute it and/or
  modify it under the same terms as Perl itself.

Comment 1 Ralf Corsepius 2006-04-18 01:41:05 UTC
(In reply to comment #0)
>   This module is free software; you may redistribute it and/or
>   modify it under the same terms as Perl itself.

Perl is licensed "GPL or Artistic". Therefore it's common practice in Fedora to
tag perl-dists using the sentence above as "License: GPL or Artistic".

Comment 2 Chris Wright 2006-04-18 01:49:35 UTC
Thanks, I updated to "GPL or Artistic" license.

Comment 3 Jason Tibbitts 2006-04-22 16:53:01 UTC
I started on a review, but the package fails to build in mock:

+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/valid....Can't locate Mail/Address.pm in @INC (@INC contains:
/builddir/build/BUILD/Email-Valid-0.15/blib/lib
/builddir/build/BUILD/Email-Valid-0.15/blib/arch
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.4/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/site_perl/5.8.4 /usr/lib/perl5/site_perl/5.8.3
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.4/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl/5.8.4 /usr/lib/perl5/vendor_perl/5.8.3
/usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/5.8.8 .) at
/builddir/build/BUILD/Email-Valid-0.15/blib/lib/Email/Valid.pm line 9.
BEGIN failed--compilation aborted at
/builddir/build/BUILD/Email-Valid-0.15/blib/lib/Email/Valid.pm line 9.
Compilation failed in require at t/valid.t line 11.
BEGIN failed--compilation aborted at t/valid.t line 11.
dubious
        Test returned status 2 (wstat 512, 0x200)
DIED. FAILED tests 1-12
        Failed 12/12 tests, 0.00% okay
Failed Test Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/valid.t      2   512    12   23 191.67%  1-12
Failed 1/1 test scripts, 0.00% okay. 12/12 subtests failed, 0.00% okay.
make: *** [test_dynamic] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.55843 (%check)

I believe you're missing a BuildRequires: perl(Mail::Address), but after adding
it things fail again:

+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/valid....unable to locate nslookup at t/valid.t line 46
dubious
        Test returned status 2 (wstat 512, 0x200)
DIED. FAILED tests 9-12
        Failed 4/12 tests, 66.67% okay
Failed Test Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/valid.t      2   512    12    8  66.67%  9-12
Failed 1/1 test scripts, 0.00% okay. 4/12 subtests failed, 66.67% okay.
make: *** [test_dynamic] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.47536 (%check)

which indicates that you need a BuildRequires: /usr/bin/nslookup or
BuildRequires: bind-utils.  Adding the former leads me to:
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/valid....FAILED test 9
        Failed 1/12 tests, 91.67% okay
Failed Test Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/valid.t                 12    1   8.33%  9
Failed 1/1 test scripts, 0.00% okay. 1/12 subtests failed, 91.67% okay.
make: *** [test_dynamic] Error 255
error: Bad exit status from /var/tmp/rpm-tmp.17873 (%check)

at which point I'm out of ideas.


Comment 4 Jason Tibbitts 2006-05-02 01:51:02 UTC
I took another look at this and realized that it's probably best if the test
suite is disabled; it requires network access which is a bad idea since the
builder machines aren't even guaranteed to be on the Internet.  I'm going to
disable it in the spec and proceed with the review, but you should consider
patching out the tests that require the network instead so there's at least a
bit of test coverage.

Issues:
You'll need BuildRequires: Mail::Address (makefile complains about it not being
there).

Two of the files in the build package come out mode 444.  The Perl specfile
template contains a chmod line at the end of %install to fix these up.

I'll approve if you fix these two issues.

Review:
* package meets naming and packaging guidelines.
X specfile is properly named, is cleanly written, uses macros consistently. 
It's missing a bit from the suggested template which causes problems.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   371b1552b81b93ffbf89cf2b1c1376c5  Email-Valid-0.15.tar.gz
   371b1552b81b93ffbf89cf2b1c1376c5  Email-Valid-0.15.tar.gz-srpm
* latest version is being packaged.
X BuildRequires missing perl(Mail::Address).
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
X file permissions improper; some files are mode 444.
* %clean is present.
O %check is disabled; test suite requires network access.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

Comment 5 Jason Tibbitts 2006-05-09 15:32:08 UTC
Any update?  This package just needs two minor fixes and it's ready to go.

Comment 6 Chris Wright 2006-05-09 17:34:42 UTC
Very sorry, it's on my todo list.  I just had to prioritize my time elsewhere. 
I appreciate the review, will get this one out this week.

Comment 7 Jason Tibbitts 2006-06-15 16:29:02 UTC
Ping?

Comment 8 Jose Pedro Oliveira 2006-06-15 17:17:34 UTC
Version 0.172 is available in CPAN
(http://search.cpan.org/dist/Email-Valid/)

Comment 9 Jason Tibbitts 2006-08-10 00:36:07 UTC
In accordince with the stalled review policy, I will close out this review in
one week.

Comment 10 Jason Tibbitts 2006-08-18 18:50:38 UTC
Closing and blocking FE-DEADREVIEW.  The original submitter should feel free to
reopen if he wants to continue this submission later.  If someone else wants to
submit this module, open a new ticket and mark this as a duplicate of the new one.

Comment 11 Jason Tibbitts 2006-09-09 15:47:45 UTC

*** This bug has been marked as a duplicate of 205884 ***


Note You need to log in before you can comment on or make changes to this bug.